import { system } from "@minecraft/server";
import { applyDurabilityDamage } from "../basic.js";

//item custom components
function miningDurabilityDamage(eventData) {
    const player = eventData.source;
    const itemStack = eventData.itemStack;
    const damage = 1;
    applyDurabilityDamage(player, itemStack, "Mainhand", damage);
}
function hitDurabilityDamage(eventData) {
    const player = eventData.attackingEntity;
    const itemStack = eventData.itemStack;
    const damage = 1;
    system.run(() => {
        applyDurabilityDamage(player, itemStack, "Mainhand", damage);
    });
}
export const functions = {
    miningDurabilityDamage: miningDurabilityDamage,
    hitDurabilityDamage: hitDurabilityDamage
};